#!/bin/bash

RED='\033[1;31m'
NORMAL='\033[0m'
YELLOW='\033[1;33m'
CYAN='\033[1;36m'
BLINK='\033[5m'

echo -e "You have a few similar names:"
echo -en ${YELLOW}
cat /opt/mapdownloader/temp
echo -en ${NORMAL}
echo ""

while true
do
    echo "Insert full name:"
    echo -en ${YELLOW}
    read -p "" ANS
    echo -en ${NORMAL}
echo ""
if [[ "$ANS" == "" ]]; then
echo -e "${RED}Exiting...${NORMAL}"
sleep 2 && exit 0
fi

descrition=$(grep 'Description="'"$ANS"'"' /home/user/MyDocs/cities/MapLoader/catalog-00.02.54.223.xml|cut -d '"' -f2)
if [[ "$descrition" == "" ]]; then
echo -e "${RED}NO country with this name!${NORMAL}\n"
else
break
fi
done

xexit()
{
	echo -e $1
	rm -f /opt/mapdownloader/map && rm -f /opt/mapdownloader/fullmap && rm -f /opt/mapdownloader/temp && read -p "Press Enter for exit: " end && sleep 2 && exit $2
}

echo -e "You country name is: ${YELLOW}$descrition${NORMAL}"
link=$(grep 'Description="'"$ANS"'"' /home/user/MyDocs/cities/MapLoader/catalog-00.02.54.223.xml|grep -o maploadertar-.*.tar|cut -d '/' -f2)
if [ ! -d /home/user/MyDocs/cities/downloadmap ]; then
devel-su user -c "mkdir -p /home/user/MyDocs/cities/downloadmap" && echo $link > /opt/mapdownloader/map
else
echo $link > /opt/mapdownloader/map
fi

echo -e "You map file is: ${YELLOW}$link${NORMAL}\n"
echo -e "${BLINK}${RED}WAIT!${NORMAL} ${YELLOW}Downloading map...${NORMAL}"
devel-su user -c "bash /opt/mapdownloader/downmaps2.sh" 2>/dev/null || xexit "${RED}Can't download! Exiting...${NORMAL}\n"
echo ""
echo -e "${YELLOW}Map downloaded successfully...${NORMAL}\n"
echo "Want extract your map ?"
echo ""
        while true
        do
        read -p "Y for yes, M for Menu or Enter for exit: " ANS
if [ -n "$ANS" ];
then #okay, do nothing
        echo "" > /dev/null
else #set default value
        ANS=not
fi
		if [[ "${ANS^^}" == "Y" || "${ANS^^}" == "M" || "$ANS" == "not" ]]; then
		break
		else
		echo -e "\n${BLINK}${RED}Incorrect letter, try again...${NORMAL}\n"
		fi
	done
		echo ""
		case $ANS in
		y|Y ) echo -e "${BLINK}${RED}WAIT!${NORMAL} ${YELLOW}Extracting map...${NORMAL}"
		if [ ! -d /home/user/MyDocs/cities/diskcache ]; then
		devel-su user -c "mkdir -p /home/user/MyDocs/cities/diskcache && cd /home/user/MyDocs/cities/diskcache && tar -xf ../downloadmap/$link > /dev/null 2>&1" || xexit "\n${RED}Can't extract! Exiting...${NORMAL}\n"
		else
		devel-su user -c "cd /home/user/MyDocs/cities/diskcache && tar -xf ../downloadmap/$link > /dev/null 2>&1" || xexit "\n${RED}Can't extract! Exiting...${NORMAL}\n"
		fi
		echo ""
		echo -e "${YELLOW}Map extracted successfully...${NORMAL}\n"
		echo "Want delete downloaded map file ?"
		echo ""
        while true
        do
        read -p "Y for yes, M for Menu or Enter for exit: " ANS
if [ -n "$ANS" ];
then #okay, do nothing
        echo "" > /dev/null
else #set default value
        ANS=not
fi
		if [[ "${ANS^^}" == "Y" || "${ANS^^}" == "M" || "$ANS" == "not" ]]; then
		break
		else
		echo -e "\n${BLINK}${RED}Incorrect letter, try again...${NORMAL}\n"
		fi
	done
		echo ""
		case $ANS in
		y|Y ) 
		devel-su user -c "rm -rf /home/user/MyDocs/cities/downloadmap"
		echo -e "${RED}DONE!${NORMAL}"
		echo ""
		read -p "Press Enter for exit or M for Menu: " ANS
		echo ""
		case $ANS in
		m|M )
		bash /opt/mapdownloader/downmaps.sh ;;
		* ) rm -f /opt/mapdownloader/map && rm -f /opt/mapdownloader/fullmap && rm -f /opt/mapdownloader/temp
		    echo -e "${YELLOW}Exiting...${NORMAL}\n"
		    sleep 2
	esac ;;

		m|M )
		bash /opt/mapdownloader/downmaps.sh ;;
		* ) rm -f /opt/mapdownloader/map && rm -f /opt/mapdownloader/fullmap && rm -f /opt/mapdownloader/temp
		echo -e "${YELLOW}Exiting...${NORMAL}\n"
		sleep 2
	esac ;;

		m|M )
		bash /opt/mapdownloader/downmaps.sh ;;
		* ) rm -f /opt/mapdownloader/map && rm -f /opt/mapdownloader/fullmap && rm -f /opt/mapdownloader/temp
		echo -e "${YELLOW}Exiting...${NORMAL}\n"
		sleep 2 ;;
	esac
