#!/bin/bash

RED='\033[1;31m'
NORMAL='\033[0m'
YELLOW='\033[1;33m'
PURPLE='\033[1;35m'
CYAN='\033[1;36m'
BLINK='\033[5m'

xexit1()
{
	echo -e $1
	read -p "Press Enter for exit: " end && sleep 2 && exit $2
}

if [ ! -d /home/user/MyDocs/cities/MapLoader ]; then
devel-su user -c "mkdir -p /home/user/MyDocs/cities/MapLoader && cp -f /opt/mapdownloader/catalog* /home/user/MyDocs/cities/MapLoader"
else
  if [ ! -f /home/user/MyDocs/cities/MapLoader/catalog-00.02.54.223.xml ]; then
  devel-su user -c "cp -f /opt/mapdownloader/catalog* /home/user/MyDocs/cities/MapLoader"
  fi
fi

    echo " ---------------------------------------------"
    echo -e "|       ${CYAN}Nokia Maps Downloader/Extractor${NORMAL}       |"
    echo -e "|                    ${PURPLE}v0.0.5${NORMAL}                   |"
    echo " ---------------------------------------------"
    echo "|                                             |"
    echo -e "|      ${YELLOW}C: See a full list of countries${NORMAL}        |"
    echo "|                                             |"
    echo " ---------------------------------------------"
    echo "For Exit, justt press Enter..."
    echo ""
    while true
    do
    read -p "Press C or Enter for continue: " ANS1
if [ -n "$ANS1" ];
then #okay, do nothing
        echo "" > /dev/null
else #set default value
        ANS1=not
fi
		if [[ "${ANS1^^}" == "C" || "$ANS1" == "not" ]]; then
		break
		else
		echo -e "\n${BLINK}${RED}Incorrect letter, try again...${NORMAL}\n"
		fi
	done
	case $ANS1 in
c|C) 
if [ ! -d /home/user/MyDocs/cities/downloadmap ]; then
devel-su user -c "mkdir -p /home/user/MyDocs/cities/downloadmap"
grep Description /home/user/MyDocs/cities/MapLoader/catalog-00.02.54.223.xml|cut -d '"' -f2 > /opt/mapdownloader/fullmap
echo -e "${BLINK}${RED}WAIT!${NORMAL} ${YELLOW}Opening system viewer...${NORMAL}"
devel-su user -c "xdg-open /opt/mapdownloader/fullmap" 
echo -e "${YELLOW}Continue...${NORMAL}\n" 
else
grep Description /home/user/MyDocs/cities/MapLoader/catalog-00.02.54.223.xml|cut -d '"' -f2 > /opt/mapdownloader/fullmap
echo -e "${BLINK}${RED}WAIT!${NORMAL} ${YELLOW}Opening system viewer...${NORMAL}"
devel-su user -c "xdg-open /opt/mapdownloader/fullmap" 
echo -e "${YELLOW}Continue...${NORMAL}\n"
fi ;;
* ) echo -e "${YELLOW}Continue...${NORMAL}\n"
esac

while true
do
    echo "Insert country name:"
    echo -en ${YELLOW}
    read -p "" ANS
    echo -en ${NORMAL}
echo ""
if [[ "$ANS" == "" ]]; then
echo -e "${RED}Exiting...${NORMAL}"
sleep 2 && exit 0
fi


if [[ "$ANS" == "${ANS^^}" ]]; then
echo -e "${RED}USE lowercase letters or only first uppercase letter!${NORMAL}"
descrition=`grep Description /home/user/MyDocs/cities/MapLoader/catalog-00.02.54.223.xml|cut -d '"' -f2|grep ${ANS^}`
if [[ "$descrition" == "" ]]; then
echo -e "${RED}Or it NOT have country with this name!${NORMAL}\n"
fi
else
descrition=`grep Description /home/user/MyDocs/cities/MapLoader/catalog-00.02.54.223.xml|cut -d '"' -f2|grep ${ANS^}`
if [[ "$descrition" == "" ]]; then
echo -e "${RED}NO country with this name!${NORMAL}\n"
else
break
fi
fi
done

xexit()
{
	echo -e $1
	rm -f /opt/mapdownloader/map && rm -f /opt/mapdownloader/fullmap && rm -f /opt/mapdownloader/temp && read -p "Press Enter for exit: " end && sleep 2 && exit $2
}
name=$(grep "${ANS^}" /home/user/MyDocs/cities/MapLoader/catalog-00.02.54.223.xml|cut -d '"' -f2)
countname=$(grep "${ANS^}" /home/user/MyDocs/cities/MapLoader/catalog-00.02.54.223.xml|cut -d '"' -f2|wc -l)
if [[ "$countname" > "1" ]]; then
echo "$name" > /opt/mapdownloader/temp
bash /opt/mapdownloader/downmaps3.sh
else
echo -e "You country name is: ${YELLOW}$name${NORMAL}"
link=$(grep "${ANS^}" /home/user/MyDocs/cities/MapLoader/catalog-00.02.54.223.xml|grep -o maploadertar-.*.tar|cut -d '/' -f2)
if [ ! -d /home/user/MyDocs/cities/downloadmap ]; then
devel-su user -c "mkdir -p /home/user/MyDocs/cities/downloadmap" && echo $link > /opt/mapdownloader/map
else
echo $link > /opt/mapdownloader/map
fi
echo -e "You map file is: ${YELLOW}$link${NORMAL}\n"
echo -e "${BLINK}${RED}WAIT!${NORMAL} ${YELLOW}Downloading map...${NORMAL}"
devel-su user -c "bash /opt/mapdownloader/downmaps2.sh" 2>/dev/null || xexit "${RED}Can't download! Exiting...${NORMAL}\n"
echo ""
echo -e "${YELLOW}Map downloaded successfully...${NORMAL}\n"
echo "Want extract your map ?"
echo ""
        while true
        do
        read -p "Y for yes, M for Menu or Enter for exit: " ANS
if [ -n "$ANS" ];
then #okay, do nothing
        echo "" > /dev/null
else #set default value
        ANS=not
fi
		if [[ "${ANS^^}" == "Y" || "${ANS^^}" == "M" || "$ANS" == "not" ]]; then
		break
		else
		echo -e "\n${BLINK}${RED}Incorrect letter, try again...${NORMAL}\n"
		fi
	done
		echo ""
		case $ANS in
		y|Y ) echo -e "${BLINK}${RED}WAIT!${NORMAL} ${YELLOW}Extracting map...${NORMAL}"
		if [ ! -d /home/user/MyDocs/cities/diskcache ]; then
		devel-su user -c "mkdir -p /home/user/MyDocs/cities/diskcache && cd /home/user/MyDocs/cities/diskcache && tar -xf ../downloadmap/$link > /dev/null 2>&1" || xexit "\n${RED}Can't extract! Exiting...${NORMAL}\n"
		else
		devel-su user -c "cd /home/user/MyDocs/cities/diskcache && tar -xf ../downloadmap/$link > /dev/null 2>&1" || xexit "\n${RED}Can't extract! Exiting...${NORMAL}\n"
		fi
		echo ""
		echo -e "${YELLOW}Map extracted successfully...${NORMAL}\n"
		echo "Want delete downloaded map file ?"
		echo ""
        while true
        do
        read -p "Y for yes, M for Menu or Enter for exit: " ANS
if [ -n "$ANS" ];
then #okay, do nothing
        echo "" > /dev/null
else #set default value
        ANS=not
fi
		if [[ "${ANS^^}" == "Y" || "${ANS^^}" == "M" || "$ANS" == "not" ]]; then
		break
		else
		echo -e "\n${BLINK}${RED}Incorrect letter, try again...${NORMAL}\n"
		fi
	done
		echo ""
		case $ANS in
		y|Y ) 
		devel-su user -c "rm -rf /home/user/MyDocs/cities/downloadmap"
		echo -e "${RED}DONE!${NORMAL}"
		echo ""
		read -p "Press Enter for exit or M for Menu: " ANS
		echo ""
		case $ANS in
		m|M )
		bash /opt/mapdownloader/downmaps.sh ;;
		* ) rm -f /opt/mapdownloader/map && rm -f /opt/mapdownloader/fullmap && rm -f /opt/mapdownloader/temp
		    echo -e "${YELLOW}Exiting...${NORMAL}\n"
		    sleep 2
	esac ;;

		m|M )
		bash /opt/mapdownloader/downmaps.sh ;;
		* ) rm -f /opt/mapdownloader/map && rm -f /opt/mapdownloader/fullmap && rm -f /opt/mapdownloader/temp
		echo -e "${YELLOW}Exiting...${NORMAL}\n"
		sleep 2
	esac ;;

		m|M )
		bash /opt/mapdownloader/downmaps.sh ;;
		* ) rm -f /opt/mapdownloader/map && rm -f /opt/mapdownloader/fullmap && rm -f /opt/mapdownloader/temp
		echo -e "${YELLOW}Exiting...${NORMAL}\n"
		sleep 2
	esac
fi
